<app-box>
    <form [formGroup]="serverForm" novalidate (ngSubmit)="onSubmit()">
        <div class="row">
            <div class="col-xs-12">
                <app-form-group [control]="nameCtrl" label="{{'SERVER.NAME' | translate}}">
                    <input type="text" id="name" class="form-control" formControlName="name">
                </app-form-group>
            </div>
            <div class="col-sm-8 col-xs-12">
                <app-form-group [control]="ipCtrl" label="{{'SERVER.IP' | translate}}">
                    <input type="text" class="form-control" formControlName="ip_address">
                </app-form-group>
            </div>
            <div class="col-sm-4 col-xs-12">
                <app-form-group [control]="portCtrl" label="{{'SERVER.PORT' | translate}}">
                    <input type="number" class="form-control" formControlName="port">
                </app-form-group>
            </div>
            <div class="col-xs-12">
                <app-form-group [control]="userCtrl" label="{{'SERVER.USER' | translate}}">
                    <input type="text" class="form-control" formControlName="user">
                </app-form-group>
            </div>
        </div>
        <button type="submit" class="btn btn-success">{{'FORM.SAVE' | translate}}</button>
        <button type="button" class="btn btn-danger pull-right" (click)="onDelete()" *ngIf="isEdit">{{'FORM.DELETE' | translate}}</button>
    </form>
</app-box>

<div class="row" *ngIf="this.server">
    <div class="col-sm-6">
        <app-box layout="small-box" [type]="getStatus(true)" [title]="getStatus()" description="{{'SERVER.STATUS' | translate}}" image="fa fa-plug">
            <a href="#" boxFooter type="button" class="small-box-footer" (click)="testServer($event)">{{'SERVER.TEST' | translate}}</a>
        </app-box>
    </div>
    <div class="col-sm-6">
        <app-box title="{{ 'SSH.KEY' | translate }}">
            <pre style="white-space: normal;">{{(info.info | async).sshKey}}</pre>
        </app-box>
    </div>
</div>
